#' Summary Method for local linear regressions
#' @name summary
#' @param object An object of class ``llreg".
#' @param ... Ignored.

summary.llreg = function(object,...){
  
  unexpectedarguments = names(list(...))
  
  if(length(unexpectedarguments)==1){warning(paste("The argument",unexpectedarguments,"has been ignored"))}
  if(length(unexpectedarguments)>1){warning(paste("The arguments",paste(unexpectedarguments,", "),"have been ignored"))}
  
  cat("A localised linear regression using a bandwidth ratio of ")
  cat(object$bwknn.ratio)
  
  cat("\n")
  cat("\n")
  
  cat("Leave one out mean squared error: ") 
  cat(mean(object$Interpolated.values - object$Responses)^2)
  cat("\n")
  cat("Raw data's variance: ")
  cat(var(object$Responses))
  cat("\n")
  
}