#' Summary Method for novas
#' @name summary
#' @param object An object of class novas.
#' @param ... Ignored.

summary.novas = function(object,...){
  
  unexpectedarguments = names(list(...))
  
  if(length(unexpectedarguments)==1){warning(paste("The argument",unexpectedarguments,"has been ignored"))}
  if(length(unexpectedarguments)>1){warning(paste("The arguments",paste(unexpectedarguments,", "),"have been ignored"))}
  
  cat("The optimal model consists of including the covariate(s)")
  for (ii in object$model){
    cat(" ")
    cat(ii)
  }
  cat(" alongside a bandwidth ratio of ") 
  cat(object$llreg$bwknn.ratio)
  cat(".")
  
  cat("\n")
  cat("\n")
  cat("The penalised leave one out CV score is: ") 
  cat(object$llreg$loocv)
  cat("\n")
  cat("The raw data variance is: ")
  cat(var(object$llreg$Responses))
  cat("\n")
  
}