// -*- mode: C++; c-indent-level: 4; c-basic-offset: 4; indent-tabs-mode: nil; -*-

// we only include RcppEigen.h which pulls Rcpp.h in for us
#include <RcppEigen.h>
#include <math.h>


// [[Rcpp::export]]
Eigen::MatrixXd GET_PROX(Eigen::MatrixXd COVARIATES) 
{

	int n,p;
	
	n = COVARIATES.rows();
	p = COVARIATES.cols();

	Eigen::MatrixXd Transposed_COVARIATES = COVARIATES.transpose();

	Eigen::MatrixXd PROX(n,n);

	// Note the memory savings in calculating PROX
	// Exploited the symmetry to make it twice as fast

	double sum,diff;

	for (int ii = 0; ii < n; ii++)
	{

		for (int jj = 0; jj < ii+1; jj++)
		{

			diff = (Transposed_COVARIATES.col(ii) - Transposed_COVARIATES.col(jj)).norm();
			PROX(ii,jj) = diff;
			PROX(jj,ii) = diff;

		}

	}

	PROX.diagonal() = PROX.colwise().maxCoeff();
	

	return(PROX);
}














